var rule = {
	title:'好恐怖',
	host:'https://www.hkbdy.com',
	//hostJs:'print(HOST);let html=request(HOST,{headers:{"User-Agent":PC_UA}});let src = jsp.pdfh(html,"center&&h1:eq(0)&&a&&href");print(src);HOST=src',
    homeUrl: '/',
	url: '/fyclass/index_fypage.html[/fyclass/index.html]',
	//https://www.hkbdy.com/taiwanju/index_6.html
	//filter_url:'{{fl.class}}',
	filter:{
	},
	//searchUrl: '/?s=**',
	searchUrl: '/e/search/result/?searchid=**',
	searchable:2,
	quickSearch:0,
	filterable:0,
	headers:{
		'User-Agent': 'PC_UA',
         	'Cookie':''
	},
	timeout:5000,
	class_name: '国产剧&港剧&动作片&喜剧片&爱情片&科幻片&恐怖片&战争片&剧情片&微电影&记录片&高清&动漫&台湾&日本&韩国&欧美&泰国&海外',
	class_url:'guochanju&gangju&dongzuopian&xijupian&aiqingpian&kehuanpian&kongbupian&zhanzhengpian&juqingpian&weidianying&m_jlp&gaoqing&gaoqing&donghuapian&taiwanju&riju&hanju&oumeiju&taiguoju&haiwaiju',
	//class_parse: '.nav ul li:gt(0):lt(11);a&&Text;a&&href;.*/(.*?).html',
	play_parse:true,
	play_json:[{
		re:'*',
		json:{
			parse:0,
			jx:0
		}
	}],
	lazy:'',
	limit:6,
	推荐:'body&&.box li:has(img);img&&alt;img&&src;.time&&Text;a&&href',
	//一级:'.channel-content&&li;img&&alt;img&&src;.listtype&&Text;a&&href',
	一级: `js:
		pdfh=jsp.pdfh;pdfa=jsp.pdfa;pd=jsp.pd;
		var d = [];
		var html = request(input);
		var list = pdfa(html, '.channel-content&&li');
		list.forEach(it => {
			d.push({
				title: String(pdfh(it, 'img&&alt')),
				//title: String(pdfh(it, 'a&&title')).match(/《([^》]*)》/),
				desc: pdfh(it, '.listtype&&Text') +"/"+pdfh(it, '.score&&Text')+"分",
				// pic_url: pdfh(it, '.card-img&&style'),
				pic_url: pd(it, 'img&&src'), 
				url: pd(it, 'a&&href')
			});
		})
		setResult(d);
	`,
	二级:{
		title:"#movie-info div h1&&Text;#movie-info&&li:eq(5)&&Text",
		img:"#movie-info&&picture img&&src",
		desc:'.mb-2&&p:eq(-4)&&Text;.mb-2&&p:eq(8)&&Text;.mb-2&&p:eq(5)&&Text;.mb-2&&p:eq(3) a&&Text;.mb-2&&p:eq(1) a&&Text',//演员4 导演5
		content:'.introduction&&p:eq(0)&&Text',
		tabs:`js:
pdfh=jsp.pdfh;pdfa=jsp.pdfa;pd=jsp.pd;
TABS=[]
let d = pdfa(html, '#content&&li');
let tabsa = [];
let tabsq = [];
let tabsm = false;
let tabse = false;
d.forEach(function(it) {
	let burl = pdfh(it, 'a&&href');
	if (burl.startsWith("magnet")){
		tabsm = true;
	}else if (burl.startsWith("thunder")){
		tabse = true;
	}
});
if (tabsm === true){
	TABS.push("电驴");
}
if (tabse === true){
	TABS.push("迅雷");
}
if (false && tabsa.length + tabsq.length > 1){
	TABS.push("選擇右側綫路");
}
let tmpIndex;
tmpIndex=1;
tabsa.forEach(function(it){
	TABS.push(it + tmpIndex);
	tmpIndex = tmpIndex + 1;
});
tmpIndex=1;
tabsq.forEach(function(it){
	TABS.push(it + tmpIndex);
	tmpIndex = tmpIndex + 1;
});
log('mp4us TABS >>>>>>>>>>>>>>>>>>' + TABS);
`,
		lists:`js:
log(TABS);
pdfh=jsp.pdfh;pdfa=jsp.pdfa;pd=jsp.pd;
LISTS = [];
let d = pdfa(html, '#content&&li');
let lista = [];
let listq = [];
let listm = [];
let liste = [];
d.forEach(function(it){
	let burl = pdfh(it, 'a&&href');
	let title = pdfh(it, 'a&&Text');
	log('title >>>>>>>>>>>>>>>>>>>>>>>>>>' + title);
	log('burl >>>>>>>>>>>>>>>>>>>>>>>>>>' + burl);
	let loopresult = burl;
    if (burl.startsWith("magnet")){
		listm.push(loopresult);
	}else if (burl.startsWith("thunder")){
		liste.push(loopresult);
	}
});
if (listm.length>0){
	LISTS.push(listm.reverse());
}
if (liste.length>0){
	LISTS.push(liste.slice());
}

`,

	},
	搜索:`&content&&.entry-thumb-left;img&&src;.entry-rating&&Text;a&&href `,
}
